<?
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가

include_once(AMINA_PATH.'/lib/view.lib.php');

//주소 재설정
if(!$lurl) {
	$lurl = G4_BBS_URL.'/board.php?bo_table='.$bo_table.'&wr_id='.$wr_id; //긴 주소
	$surl = amina_short_url($lurl); //짧은 주소
}

//CSS Load
include_once(AMINA_PATH.'/css.php');

//Syntaxhighlighter
if($amina['view_code']) include_once(AMINA_PATH.'/syntaxhighlighter.php');

//채택
if($amina['cmt_choice'] && !$is_choice) {
	$v_icon = amina_array_icon($write['wr_5']);
	if($v_icon['choice_point'] > 0) {	
		$is_choice = 'none';
		if($v_icon['choice']) $is_choice = 'done';
		if($is_choice != "done" && ($member['mb_id'] == $write['mb_id'])) $is_choice = 'select';
	}
}

//익명글
$is_cmt_nameless = '';
if ($amina['nameless_cmt']) {
	if ($is_admin || $amina['nameless_cmt'] == "1") {
		$is_cmt_nameless = 'check';
	} else {
		$is_cmt_nameless = 'hidden';
	}
}

//권한
$write_error = '';
if (!$is_member && !$is_comment_write) {
	$write_error = 'readonly onclick="alert(\'로그인 하신 후 댓글을 작성하실 수 있습니다.\'); return false;"';
} else if($is_member && !$is_comment_write) {
	$write_error = 'readonly onclick="alert(\'댓글을 작성할 수 있는 권한이 없습니다.\'); return false;"';
}


//캡챠
if($is_guest && !$write_error ) {
	if(!$captcha_html) {
		$captcha_html = "<img id=\"kcaptcha_image\" />\n";
		$captcha_html .= "<span class=\"captcha_msg\">왼쪽 글자를 입력하세요.</span>\n";
		$captcha_html .= "<input title=\"왼쪽의 글자를 입력하세요.\" type=\"input\" name=\"wr_key\" size=12 itemname=\"자동등록방지\">\n";
	}
} else {
	$captcha_html = '';
}

$redo_msg = $member['mb_id'] ? 'onclick="amina_cmt_redo(\''.AMINA_URL.'/comment.php?bo_table='.$bo_table.'&wr_id='.$wr_id.'&redo=1&token='.$token.'&cwin='.$cwin.'&page='.$page.$qstr.'\',\'cmt_'.$wr_id.'\',\''.$cmt_url.'\');"' : 'onclick="alert(\'로그인한 회원만 새로고침이 가능합니다.\'); return false;"';

?>

<link rel="stylesheet" href="<?=$cmt_skin_url?>/<?=$amina['cmt_css']?>.css" />

<script>
//글자수 제한
var char_min = parseInt(<?=$comment_min?>); // 최소
var char_max = parseInt(<?=$comment_max?>); // 최대
</script>

<a name="viewComments"></a>
<div id="cmt_<?=$wr_id?>">
	<? 
		if(G4_IS_MOBILE && file_exists($cmt_skin_path.'/m.cmt.skin.php')) {
			include($cmt_skin_path.'/m.cmt.skin.php'); 
		} else {
			include($cmt_skin_path.'/cmt.skin.php'); 
		}
	?>
</div>
<div id="loading" style="display:none; position:fixed; top:50%; left:50%; margin-top:-10px; margin-left:-110px;text-align:center;">
	<img src="<?=AMINA_URL?>/img/loader.gif" />
</div>
<? if(AMINA != "g4s") { ?>
	<script src="<?=G4_JS_URL?>/jquery.kcaptcha.js"></script>
<? } ?>
<script>
var save_before = '';
var save_html = document.getElementById('comment_write').innerHTML;

function good_and_write()
{
    var f = document.fviewcomment;
    if (fviewcomment_submit(f)) {
        f.is_good.value = 1;
        f.submit();
    } else {
        f.is_good.value = 0;
    }
}

function fviewcomment_submit(f) {

	var pattern = /(^\s*)|(\s*$)/g; // \s 공백 문자
    var subject = "";
    var content = "";

	f.is_good.value = 0;
 
    $.ajax({
        url: "<?=AMINA_URL?>/ajax.filter.php",
        type: "POST",
        data: {
            "subject": "",
            "content": f.wr_content.value
        },
        dataType: "json",
        async: false,
        cache: false,
        success: function(data, textStatus) {
            subject = data.subject;
            content = data.content;
        }
    });

    if (content) {
        alert("댓글에 금지단어('"+content+"')가 포함되어있습니다");
        f.wr_content.focus();
        return false;
    }

    // 양쪽 공백 없애기
    document.getElementById('wr_content').value = document.getElementById('wr_content').value.replace(pattern, "");
    if (char_min > 0 || char_max > 0)
    {
        check_byte('wr_content', 'char_count');
        var cnt = parseInt(document.getElementById('char_count').innerHTML);
        if (char_min > 0 && char_min > cnt)
        {
            alert("댓글은 "+char_min+"글자 이상 쓰셔야 합니다.");
            return false;
        } else if (char_max > 0 && char_max < cnt)
        {
            alert("댓글은 "+char_max+"글자 이하로 쓰셔야 합니다.");
            return false;
        }
    }
    else if (!document.getElementById('wr_content').value)
    {
        alert("댓글을 입력하여 주십시오.");
        return false;
    }

    if (typeof(f.wr_name) != 'undefined')
    {
        f.wr_name.value = f.wr_name.value.replace(pattern, "");
        if (f.wr_name.value == '')
        {
            alert('이름이 입력되지 않았습니다.');
            f.wr_name.focus();
            return false;
        }
    }

    if (typeof(f.wr_password) != 'undefined')
    {
        f.wr_password.value = f.wr_password.value.replace(pattern, "");
        if (f.wr_password.value == '')
        {
            alert('패스워드가 입력되지 않았습니다.');
            f.wr_password.focus();
            return false;
        }
    }

	<? if(AMINA == "g4s") { ?>
        <? if($is_guest) echo chk_captcha_js(); ?>
	<? } else { ?>
	    if (!check_kcaptcha(f.wr_key)) {
	        return false;
	    }
	<? } ?>

	document.getElementById("cmt_submit").disabled = "disabled";

	return true;
}

function comment_box(comment_id, work, refresh)
{
    var el_id;
    // 코멘트 아이디가 넘어오면 답변, 수정
    if (comment_id) {
        if (work == 'c') {
            el_id = 'reply_' + comment_id;
        } else {
            el_id = 'edit_' + comment_id;
		}
	} else {
        el_id = 'comment_write';
	}

    if (save_before != el_id)
    {
        if (save_before)
        {
            document.getElementById(save_before).style.display = 'none';
            document.getElementById(save_before).innerHTML = '';
        }

        document.getElementById(el_id).style.display = '';
        document.getElementById(el_id).innerHTML = save_html;
        // 코멘트 수정
        if (work == 'cu')
        {
            document.getElementById('wr_content').value = document.getElementById('save_comment_' + comment_id).value;
            if (typeof char_count != 'undefined')
                check_byte('wr_content', 'char_count');
            if (document.getElementById('secret_comment_'+comment_id).value)
                document.getElementById('wr_secret').checked = true;
            else
                document.getElementById('wr_secret').checked = false;
        }

        document.getElementById('comment_id').value = comment_id;
        document.getElementById('w').value = work;

        save_before = el_id;
    } else {
	    if (refresh) {
			document.getElementById(el_id).style.display = '';
	        document.getElementById(el_id).innerHTML = save_html;
		}
	}

	if(comment_id) {
		document.getElementById('new_cmt_box').style.display = '';
	} else {
		document.getElementById('new_cmt_box').style.display = 'none';
	}

	<? if(AMINA != "g4s") { ?>
	    if (typeof(wrestInitialized) != 'undefined')
		    wrestInitialized();

		//jQuery(this).kcaptcha_load();
		if ((comment_id || refresh) && work == 'c')
			$.kcaptcha_run();
	<? } ?>
}

function comment_delete(url, opt) {
   if (confirm("이 댓글을 삭제하시겠습니까?")) {
		if(opt) {
			parent.location.href = url;
		} else {
		   location.href = url;
		}
   }
}

comment_box('', 'c'); // 코멘트 입력폼이 보이도록 처리하기위해서 추가 (root님)

</script>
